Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v3
Class Transactionaccess

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v3.Transactionaccess

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:46:45+02:00",
               comments="JAXB RI v2.2.11")
    public class Transactionaccess

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="patient" type="{http://www.ehealth.fgov.be/hubservices/core/v3}PatientIdType" minOccurs="0"/>
             <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v3}transactionWithSpecificTime" minOccurs="0"/>
             <element name="hcparty" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}hcpartyType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="accessdatetime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="breaktheglass" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Transactionaccess()`

Method Summary
`org.joda.time.DateTime` | `getAccessdatetime()` Gets the value of the accessdatetime property.
`String` | `getBreaktheglass()` Gets the value of the breaktheglass property.
`List<HcpartyType>` | `getHcparties()` Gets the value of the hcparties property.
`PatientIdType` | `getPatient()` Gets the value of the patient property.
`TransactionWithSpecificTime` | `getTransaction()` Gets the value of the transaction property.
`void` | `setAccessdatetime(org.joda.time.DateTime value)` Sets the value of the accessdatetime property.
`void` | `setBreaktheglass(String value)` Sets the value of the breaktheglass property.
`void` | `setPatient(PatientIdType value)` Sets the value of the patient property.
`void` | `setTransaction(TransactionWithSpecificTime value)` Sets the value of the transaction property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Transactionaccess

    public Transactionaccess()

Method Detail

### getPatient

    public PatientIdType getPatient()

  Gets the value of the patient property.

  Returns:
    possible object is `PatientIdType`

### setPatient

    public void setPatient(PatientIdType value)

  Sets the value of the patient property.

  Parameters:
    `value` - allowed object is `PatientIdType`

### getTransaction

    public TransactionWithSpecificTime getTransaction()

  Gets the value of the transaction property.

  Returns:
    possible object is `TransactionWithSpecificTime`

### setTransaction

    public void setTransaction(TransactionWithSpecificTime value)

  Sets the value of the transaction property.

  Parameters:
    `value` - allowed object is `TransactionWithSpecificTime`

### getHcparties

    public List<HcpartyType> getHcparties()

  Gets the value of the hcparties property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the hcparties property.

  For example, to add a new item, do as follows:

          getHcparties().add(newItem);

  Objects of the following type(s) are allowed in the list `HcpartyType`

### getAccessdatetime

    public org.joda.time.DateTime getAccessdatetime()

  Gets the value of the accessdatetime property.

  Returns:
    possible object is `String`

### setAccessdatetime

    public void setAccessdatetime(org.joda.time.DateTime value)

  Sets the value of the accessdatetime property.

  Parameters:
    `value` - allowed object is `String`

### getBreaktheglass

    public String getBreaktheglass()

  Gets the value of the breaktheglass property.

  Returns:
    possible object is `String`

### setBreaktheglass

    public void setBreaktheglass(String value)

  Sets the value of the breaktheglass property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.